(function($){
	

	AudioUpload = {
	
		_init: function()
		{   

		},
	   
		/*  TOGGLE CLICK */
		_myClick: function(input_data)
		{ 
			var file_frame;
						// If the media frame already exists, reopen it.
						if ( file_frame ) {
							file_frame.open();
							return;
						}
						// Create the media frame.
						file_frame = wp.media.frames.file_frame = wp.media({
							title: jQuery( this ).data( 'uploader_title' ),
							library: {
								type: 'audio'
							},
							button: {
							text: jQuery( this ).data( 'uploader_button_text' ),
							},
							multiple: false // Set to true to allow multiple files to be selected
						});
						// When an image is selected, run a callback.
						file_frame.on( 'select', function() {
							// We set multiple to false so only get one image from the uploader
							var attachment = file_frame.state().get('selection').first().toJSON();
							// Do something with attachment.id and/or attachment.url here
							jQuery('#'+input_data.name).val(attachment.url);
						});
						// Finally, open the modal
						file_frame.open();
		},
	};
	
	$(function(){
		AudioUpload._init();
	});
	
})(jQuery);